uniform float amount;
uniform float frequency;

void main(void)
	{
	vec4 v = vec4(gl_Vertex);
	vec4 pos = gl_ModelViewMatrix * v;
	float LightIntensity = max(dot(normalize(vec3(0.,3.,3.) - pos.xyz), gl_Normal), 0.0);
	gl_FrontColor = gl_Color * LightIntensity;
		

//	v.x += 0.1 * noise1(v);
	v.x += amount * noise1(v*frequency);

	gl_Position = gl_ModelViewProjectionMatrix * v;
} 